Summary:        Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android
Name:           fdk-aac-free
Version:        2.0.3
Release:        1%{?dist}
License:        FDK-AAC
URL:            https://cgit.freedesktop.org/~wtay/fdk-aac/log/?h=fedora
Source0:        https://people.freedesktop.org/~wtay/fdk-aac-free-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ make
BuildRequires:  automake libtool

%description
Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing
applications that use %{name}.



%prep
%autosetup



%build
autoreconf -vif
%configure \
  --disable-silent-rules \
  --disable-static

%make_build



%install
%make_install INSTALL="install -p"
find %{buildroot} -name '*.la' -print -delete



%files
%license NOTICE
%doc ChangeLog README.fedora
%{_libdir}/*.so.2
%{_libdir}/*.so.2.0.0



%files devel
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/fdk-aac.pc



%changelog
* Fri Jul 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 2.0.3-1
- Upgrade to version 2.0.3

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 2.0.0-1
- initial build
